% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_steps_by_cond.R
\name{get_steps_by_cond}
\alias{get_steps_by_cond}
\title{Get Steps Data by Condition}
\usage{
get_steps_by_cond(sfit, condition = NULL)
}
\arguments{
\item{sfit}{An object representing survival model results (e.g., from a Kaplan-Meier model).}

\item{condition}{Optional. An experimental condition to include in the output data frame, defaults to \code{NULL}.}
}
\value{
Returns a data frame containing the steps data, including time, survival estimates, upper confidence bounds, and lower confidence bounds.
}
\description{
The \code{get_steps_by_cond} function calculates steps data based on survival model results.
This utility function is used inside the \code{\link[=do_kpm]{do_kpm()}} function of \code{dropR}.
}
\seealso{
\code{\link[=do_kpm]{do_kpm()}}
}
